import json 

class Evidence:

    def __init__(self, evidence_id, timestamp, resource_id, tool, resource_type, feature_type, feature_property, measurement_result, body):
        self.evidence_id = evidence_id
        self.timestamp = timestamp
        self.resource_id = resource_id
        self.tool = tool
        self.resource_type = resource_type
        self.feature_type = feature_type
        self.feature_property = feature_property
        self.measurement_result = measurement_result
        self.body = body

    def toJson(self):
        return json.dumps(self.__dict__)

def simple_evidence(evidence_id, timestamp, measurement_result, body):
    return Evidence(evidence_id, timestamp, None, None, None, None, None, measurement_result, body)
    